Skip to main content

Search a key

This key management operation allows searching the repository for a key based on the key 'descr' field.

Allowed usersUser✓Master✗ExtAuth✓
Required access scopekeymgmt:searchalternative:keymgmt:listauth:ext:pair

If the configuration option allow_keysearch is set to true, then the search is possible without the Authorization header under the condition of having the minimum first 6 bytes of descr field provided.

Search for a key(s)​

POSThttps://my.ence.do/api/keymgmt/search

Search the keys stored in the repository by pattern.

Headers​

NameTypeDescription
AuthorizationStringBearer JWT_TOKEN
Content-Type*Stringapplication/json

Request Body​

NameTypeDescription
descr*StringPattern to search for.
offsetNumberSkip offset entries.
limitNumberLimit number of return entries, default is 15 if skipped.

Response status code​

{
"offset": 0,
"total": 5,
"listed": 1,
"list": [{
"kid": "4111bc76291bff8d319a056f15bb46f0",
"created": 1647802803,
"type": "ATT,PKEY,ECDH,CURVE448",
"label": "Chris main Transfer key",
"descr": "RVRTRlRYNTcyMDc0NzI1MjI1NTE3OWNocmlzQGVuY2Vkby5jb20=",
"updated": 1647802803
}]
}

Response data for successful operation​

This operation returns the same data as the "List the keys" endpoint. Check for details here.

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403